summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDirk2012-09-27 14:37:08 +0200
committerDirk2012-09-27 14:37:08 +0200
commita0cf22f8474fb40c640a6de0e2603e5934d7de74 (patch)
tree7b779187ec9a8d148f5c95816b98b01720a34d71
parentinitial commit (diff)
downloadtm-scripts-a0cf22f8474fb40c640a6de0e2603e5934d7de74.tar.gz
tm-scripts-a0cf22f8474fb40c640a6de0e2603e5934d7de74.tar.xz
tm-scripts-a0cf22f8474fb40c640a6de0e2603e5934d7de74.zip
Skeleton of mkinitramfs ...
-rw-r--r--server/mkinitramfs27
1 files changed, 27 insertions, 0 deletions
diff --git a/server/mkinitramfs b/server/mkinitramfs
new file mode 100644
index 00000000..df6174cf
--- /dev/null
+++ b/server/mkinitramfs
@@ -0,0 +1,27 @@
+#!/bin/bash
+# Copyright (c) 2012 - OpenSLX GmbH
+#
+# This program is free software distributed under the GPL version 2.
+# See http://openslx.org/COPYING
+#
+# If you have any feedback please consult http://openslx.org/feedback and
+# send your feedback to feedback@openslx.org
+#
+# General information about OpenSLX can be found at http://openslx.org
+#
+# Server side script to generate stage3.1,2 initial ramfses for OpenSLX Linux
+# stateless clients
+#############################################################################
+
+# fetch stage 3.1/2 stuff from the template system to the initramfs target
+
+# add openslx distro independent data to the initramfs target
+
+# add kernel stuff to the initramfs target
+
+# finalize the initramfs target
+which mksquashfs 2>&1>/dev/null || { echo "Please install SquashFS utilities" ; exit 1 }
+mksquashfs target/stage3.2/* target/stage3.1/mnt/openslx.sqfs -comp xz -b 1M -no-progress -no-recovery 2>/dev/null
+(cd target/stage3.1; find . | cpio --format="newc" --create | gzip -9 > /srv/openslx/tftpboot/initramfs-test)
+
+